#include <stdio.h>
#include <stdlib.h>
#include <assert.h>
#include <math.h>
#include <stdbool.h>
#include <unistd.h>
#include <termios.h>
#include <limits.h>
#include <time.h>
#include <sys/time.h>
#include <SDL2/SDL.h>
#include <SDL2/SDL_image.h>

#include "structure.h"
#include "base.h"
#include "cars.h"

car* init_car(const char* name) {
    car* res = malloc(sizeof(car));
    res->name = "e";
    res->itm = NULL;
    res->nCoins = 0;
    res->pos = (ptf){.fx = 0.0, .fy = 0.0};
    res->vel = (ptf){.fx = 0.0, .fy = 0.0};
    return res;
}

void move_car(car* c, double x, double y) {
    c->pos.fx = x;
    c->pos.fy = y;
}

void set_speed_car(car* c, double vx, double vy) {
    c->vel.fx = vx;
    c->vel.fy = vy;
}

void destroy_car(car* c) {
    free(c);
}